import { BaseCommand } from '../base.js';
import { type CommandDefinition } from '../../types/index.js';
/**
 * Defines the core functionalities of 'init' command
 */
export declare class InitCommand extends BaseCommand {
    static readonly COMMAND_NAME: string;
    static readonly INIT_COMMAND_NAME: string;
    constructor();
    /** Executes the init CLI command */
    init(argv: any): Promise<boolean>;
    /**
     * Return Yargs command definition for 'init' command
     * @returns A object representing the Yargs command definition
     */
    getCommandDefinition(): CommandDefinition;
    close(): Promise<void>;
}
